BootstrapServiceContext (Catalina Internal API Documentation)
Keywords: org.apache.catalina.startup.BootstrapServiceContext class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.startup
Class BootstrapServiceContext

    java.lang.Object
      org.apache.catalina.startup.BootstrapServiceContext

All Implemented Interfaces:
  org.apache.commons.daemon.DaemonContext

public class BootstrapServiceContext
extends java.lang.Object
implements org.apache.commons.daemon.DaemonContext

Context for the BootstrapService.

Version:
  $Revision: 289023 $ $Date: 2004-08-26 18:06:34 -0400 (Thu, 26 Aug 2004) $
Author:
  Jean-Frederic Clere

Constructor Summary
`BootstrapServiceContext()`

Method Summary
`java.lang.String[]` | `getArguments()`
`org.apache.commons.daemon.DaemonController` | `getController()`
`void` | `setArguments(java.lang.String[] args)`
`void` | `setController(org.apache.commons.daemon.DaemonController controller)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BootstrapServiceContext

    public BootstrapServiceContext()

Method Detail

### getController

    public org.apache.commons.daemon.DaemonController getController()

  Specified by:
    `getController` in interface `org.apache.commons.daemon.DaemonContext`

### setController

    public void setController(org.apache.commons.daemon.DaemonController controller)

### getArguments

    public java.lang.String[] getArguments()

  Specified by:
    `getArguments` in interface `org.apache.commons.daemon.DaemonContext`

### setArguments

    public void setArguments(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.